package com.retail_store.order_management.constants;

/**
 * Enumeration class of name Gender
 * According to the selected option this class behaviour is called to select
 * particular gender
 */
public enum Gender {
    /**
     * Different types of Gender enum
     */
    EXIT(0, "exit"), MEN(1, "Men"), WOMEN(2, "Women");
    int option;
    String gender;

    /**
     * Method is used to return option value
     * of specific Gender enum
     *
     * @return int
     */
    public int getOption() {
        return option;
    }

    /**
     * Method is used to return the String data
     * of specific Gender enum
     *
     * @return
     */
    public String getGender() {
        return gender;
    }

    /**
     * Parameterised Constructor
     *
     * @param option
     * @param gender
     */
    Gender(int option, String gender) {
        this.option = option;
        this.gender = gender;
    }
}
