package com.retail_store.order_management.utils;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * Class Database
 * This is a final class in which all the configurations of the database are present to
 * establish the connection to the database to the project
 */
public final class Database {
    private static Connection connection;

    /**
     * Private constructor that will not
     * allow to create object
     */
    private Database() {
    }

    /**
     * This is used to establish the connection  to the database
     *
     * @return connection
     */
    public static Connection getConnection() {
        String url = "jdbc:mysql://localhost:3306/gap";
        String userName = "root";
        String password = "123mysql143";
        if (connection == null) {
            try {
                Class.forName("com.mysql.cj.jdbc.Driver");
                connection = DriverManager.getConnection(url, userName, password);
            } catch (ClassNotFoundException | SQLException e) {
                e.printStackTrace();
            }
        }
        return connection;
    }
}
